package jp.ac.kyutech.mns.ist;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.geom.Point2D;

import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import javax.swing.KeyStroke;

import edu.umd.cs.piccolo.PCanvas;
import edu.umd.cs.piccolo.event.PInputEvent;

public class PopupMenu_forSSGroup extends JPopupMenu {
	private static final long serialVersionUID = -88443499531579679L;
	SSGroup ssgroup;
	PInputEvent ie;
	PCanvas canvas;

	public PopupMenu_forSSGroup(SSGroup assg, PInputEvent _ie, PCanvas _canvas /*, JFrame _frame*/) {
		ssgroup = assg;
		ie = _ie;
		canvas = _canvas;

		setLightWeightPopupEnabled(false);

		JMenuItem menuItem;

		menuItem = new JMenuItem("cancel");
		add(menuItem);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_ESCAPE, 0));//メニュー表示時のショートカットキー

		addSeparator();

		menuItem = new JMenuItem("選択部分を集約");
		add(menuItem);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_1, 0));//メニュー表示時のショートカットキー
		menuItem.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				//ここに，機能１の処理をかく．必要に応じて，sheet参照やクリック時イベント参照(ie)をつかう．
				System.out.println("選択部分を集約");
				
			}
		});

		menuItem = new JMenuItem("マーキング");
		add(menuItem);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_2, 0));//メニュー表示時のショートカットキー
		menuItem.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				//ここに，機能２の処理をかく．必要に応じて，sheet参照やクリック時イベント参照(ie)をつかう．
				System.out.println("マーキング");
			}
		});

		addSeparator(); //区切り線

		menuItem = new JMenuItem("機能の名前３");
		add(menuItem);
		menuItem.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_3, 0));//メニュー表示時のショートカットキー
		menuItem.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				//ここに，機能３の処理をかく．必要に応じて，sheet参照やクリック時イベント参照(ie)をつかう．
				System.out.println("機能3");
			}
		});

		showPopup();
	}

	public void showPopup() {
		Point2D cp = ie.getPositionRelativeTo(canvas.getCamera());

		show(canvas, (int)cp.getX(), (int)cp.getY());
	}
}
